=== debian/changelog ===
debian-edu-config (0.415) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change LTSP build rules to use a network based APT source when
    build LTSP chroot with amd64 netinst CD, as the CD is missing the
    i386 binaries needed.
  * Remove cfengine rule to update /etc/default/update-hostname.  It
    is now handled by preseeding.  Solves skolelinux bug #1228.

  [ Daniel Hess ]
  * For network based LTSP build on amd64 change build rules:
    . Set option_mirror_value instead of MIRROR and add
      option_extra_mirror_value for skolelinux/local packages.
    . Set local as component for exta_mirror and remove it for all other
      mirrors.
    . Add the Debian-Edu archive key as in debian-edu-archive-keyring to
      the apt-keys list, so it is available when the Release file is checked.
    . Check for http_proxy set to "high" and unset it, if it is.
      This seems to be a bug with debconf, which returns always "high" after
      the debconf priority (which is high) was been read.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 20 Jul 2007 17:08:03 +0200

debian-edu-config (0.414) unstable; urgency=low

  [ Daniel Heß ]
  * Add suffix for group mappings to samba config. Allow samba to add
    groupmapping existing groups in the slapd config. This restores the
    old behaviour from when groupmaps where stored external.
  * Add Samba groupmap information to "admins" group when loading root.ldif
    in ldap-debian-edu-install. (Closes skolelinux bug #1223)
  * Include "displayName" attribute in the groupmap. This is not required
    for it to work, but it's displayed in Windows and is less confusing
    this way.

  [ Petter Reinholdtsen ]
  * Remove cfengine rule to edit /etc/opera6rc.fixed and other
    references to Opera.  Opera is no longer included.
  * Add more debug output to ldap-debian-edu-install.
  * Disable editing of /etc/inputrc, as testing show that it is no
    longer needed to support 8-bit characters in bash.
  * Remove bogus calls to db_go in debian-edu-config.postinst.

  [ Holger Levsen ]
  * Modified /etc/lsb-release to only include DISTRIB_DESCRIPTION.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 18 Jul 2007 00:26:20 +0200

debian-edu-config (0.413) unstable; urgency=low

  [ Ronny Aasen and Petter Reinholdtsen ]
  * Fixed a bug in cfengine's ltsp_arch variable, that broke the
    installer.  Based on patch from Klaus Ade Johnstad.  Fixes
    skolelinux bug #1196.

  [ Klaus Ade Johnstad ]
  * Fixed typo introduced in fix for skolelinux bug #1196
  * Fixed tail according to new syntax, 's/tail +/tail -n +/g'
    in /usr/sbin/ltsp-make-client
  * Fixed bug #1220, typo in lts.conf

  [ Petter Reinholdtsen ]
  * Update ltsp testsuite to use i386 on amd64 systems to fix
    skolelinux bug #1200.
  * Fixed debian-edu-etc-svk initialization using expect, and
    improved the script to a point where it is working properly.
  * Make it possible to enable debian-edu-etc-svk by preseeding
    debian-edu-config/etc-in-svk, and include cronjob for updating
    the svk state of /etc/.  Depend on svk and expect to make
    sure the needed packages are installed.
  * Make sure init.d/start-wlan is not executed during package
    installation, as it can kill the network connection on laptops.
  * Change init.d/fetch-ldap-cert to extract the server certificate
    using the SSL protocol, instead of downloading it over HTTP.
  * Correct ldap-tools/mkslapdcert to extract the server certificate
    (and no the public key) and make it available for download, as this
    is the file needed by clients interested in verifying the SSL
    connection to the LDAP server.
  * Rewrite ldap.conf to use the downloaded LDAP server certificate to
    verify the connection, trying to make it possible to disable the
    'TLS_REQCERT never' setting to enforce this.  It is not yet
    working, so the 'TLS_REQCERT never' is still needed.  This is
    related to skolelinux bug 1211.
  * Move stray client side LDAP configuration from cf.ldapserver
    to the more correct cf.ldapclient.
  * Remove kdm theme cfengine rules.  They are no longer needed.
  * Renamed the 'update' command in debian-edu-etc-svk to commit.
    The old command still work, but will be removed in the future.
  * Add proposed APT sources in the LTSP chroot as well.  Related to
    skolelinux bug #1168.
  * Remove code in mkslapdcert to make the LDAP SSL certificate
    available from the web server.  It is no longer needed when
    fetch-ssl-cert can fetch it directly from the LDAP server.
    Make sure to only try to download the certificate if it
    is mentioned in the LDAP config.
  * Modify cfengine rule for editing /etc/libnss-ldap.conf and
    /etc/pam_ldap.conf to avoid editing if the host setting already is
    present.
  * Improve usage information printed by debian-edu-fsautoresize.
  * Extend testsuite/taskpkgs to detect if a package in a task is
    missing.
  * Update cfengine rule for /etc/hosts.allow to also allow access
    from 10.0.2.0/23 to tftp and portmap, making sure diskless
    workstation boots get access.
  * Allow 127.0.0.1 NFS mount privileges to the LTSP chroot, to
    get qemu testing to work out of the box.
  * Updates in ltsp-make-client:
    - General cleanup and convert it to use aptitude
      instead of apt-get to track manually installed packages.
    - Make sure it installs debian-edu-archive-keyring, and
    - fetches the LDAP SSL certificate.
    - Add code verify that enoug disk space is available in
      /opt/ltsp/$arch before starting.  Using 4096 MiB as the limit.
    - Add code to make sure /var/lib/dbus and /media is writable
      by dbus.  Solves skolelinux bug #1180.
    - Stop installing usbmount.  It does not work at the moment,
      and is not needed when udev/hal is working.
  * Specify SCREEN_07=ldm in lts.conf to make sure ldm is still
    enabled on thin clients after ltsp-make-clients installed
    kdm.  Solves skolelinux bug #1210.

  [ Steffen Joeris ]

