=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>
Standards-Version: 3.7.2
Build-Depends: debhelper
Build-Depends-Indep: po-debconf

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, lsof, expect, svk
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.
