## debian-edu-config 1.423

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 PROGS = cfengine-debian-edu \
         update-ini-file update-hostname-from-ip \
 	debian-edu-hd-warn debian-edu-lessdisks \
-	debian-edu-ltsp debian-edu-pxelinux.cfg
+	debian-edu-ltsp debian-edu-pxelinux.cfg ltsp-arch-debian-edu
 
 SPROGS = debian-edu-restart-services \
 	debian-edu-test-install ltsp-make-client \
-        debian-edu-fsautoresize debian-edu-etc-svk
+        debian-edu-fsautoresize debian-edu-etc-svk \
+        debian-edu-pxeinstall
 
 INSTALL     = install -D -p -m 755
 INSTALL_DATA= install -D -p -m 644
@@ -45,18 +46,10 @@
 	cf.locale \
 	cf.ltsp \
 	cf.fstab \
-	cf.mime-support \
-	cf.mozilla \
-	cf.munin \
-	cf.nagios \
-	cf.nagios2 \
-	cf.nat \
+	cf.nagios3 \
 	cf.ntp \
-	cf.pcmcia \
 	cf.samba \
-	cf.slbackup \
 	cf.squid \
-	cf.ssh \
 	cf.syslog \
 	cf.sysstat \
 	cfd.conf \
@@ -68,6 +61,7 @@
 
 # Files to install in /etc/
 SYSCONFFILES = \
+	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	X11/Xsession.d/10debian-edu-set-umask \
 	desktop-profiles/debian-edu-config.listing \
@@ -83,18 +77,21 @@
 	debian-edu/nightkill.conf \
 	debian-edu/lts.conf.dist \
 	default/backdoor \
+	default/munin-node \
 	cfengine/cfservd.conf \
 	cfengine/update.conf \
 	cfengine/inputs/cfagent.conf \
 	cups/cupsd-debian-edu.conf \
 	dhclient-exit-hooks \
 	dhcp3/dhcpd-debian-edu.conf \
+	dhcp3/dhclient-debian-edu.conf \
 	exim/exim-ldap-client.conf \
 	exim/exim-ldap-server.conf \
 	exim4/exim-ldap-client-v4.conf \
 	exim4/exim-ldap-server-v4.conf \
 	filesystems \
-	ldap/slapd-etch_debian-edu.conf \
+	ldap/rootDSE-debian-edu.ldif \
+	ldap/slapd-lenny_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
 	pam.d/common-auth-debian-edu \
 	pam.d/common-auth-ldap-debian-edu \
@@ -114,55 +111,36 @@
 	security/pam_mount-stateless-debian-edu.conf \
 	krb5-winbind-debian-edu.conf \
 	lsb-release \
-	nagios/nagios-debian-edu.cfg \
-	nagios/debian-edu/checkcommands.cfg \
-	nagios/debian-edu/contactgroups.cfg \
-	nagios/debian-edu/contacts.cfg \
-	nagios/debian-edu/dependencies.cfg \
-	nagios/debian-edu/htpasswd.users \
-	nagios/debian-edu/index.html \
-	nagios/debian-edu/main.html \
-	nagios/debian-edu/side.html \
-	nagios/debian-edu/misccommands.cfg \
-	nagios/debian-edu/resource.cfg \
-	nagios/debian-edu/services.cfg \
-	nagios/debian-edu/timeperiods.cfg \
-	nagios/debian-edu/servicetemplates.cfg \
-	nagios/debian-edu/hosttemplates.cfg \
-	nagios/debian-edu/skolelinux_logo.png \
-	nagios/debian-edu/skolelinux_logo_140.png \
-	nagios/debian-edu/hosts/gateway.cfg \
-	nagios/debian-edu/hosts/tjener.cfg \
-	nagios/debian-edu/hostgroups/gateways.cfg \
-	nagios/debian-edu/hostgroups/servers.cfg \
 	apache2/mods-available/debian-edu-userdir.conf \
 	apache2/sites-available/debian-edu-default \
 	apache2/sites-available/debian-edu-ssl-default \
 	apache2/conf.d/debian-edu-config-doc \
-	nagios2/debian-edu/cgi.cfg \
-	nagios2/debian-edu/commands.cfg \
-	nagios2/debian-edu/contactgroups.cfg \
-	nagios2/debian-edu/contacts.cfg \
-	nagios2/debian-edu/dependencies.cfg \
-	nagios2/debian-edu/htpasswd.users \
-	nagios2/debian-edu/escalations.cfg \
-	nagios2/debian-edu/hostextinfo.cfg \
-	nagios2/debian-edu/hostgroups.cfg \
-	nagios2/debian-edu/hosts.cfg \
-	nagios2/debian-edu/host_templates.cfg \
-	nagios2/debian-edu/nagios.cfg \
-	nagios2/debian-edu/resources.cfg \
-	nagios2/debian-edu/serviceextinfo.cfg \
-	nagios2/debian-edu/servicegroups.cfg \
-	nagios2/debian-edu/services.cfg \
-	nagios2/debian-edu/service_templates.cfg \
-	nagios2/debian-edu/timeperiods.cfg
+	nagios3/debian-edu/cgi.cfg \
+	nagios3/debian-edu/commands.cfg \
+	nagios3/debian-edu/contactgroups.cfg \
+	nagios3/debian-edu/contacts.cfg \
+	nagios3/debian-edu/dependencies.cfg \
+	nagios3/debian-edu/htpasswd.users \
+	nagios3/debian-edu/escalations.cfg \
+	nagios3/debian-edu/hostextinfo.cfg \
+	nagios3/debian-edu/hostgroups.cfg \
+	nagios3/debian-edu/hosts.cfg \
+	nagios3/debian-edu/host_templates.cfg \
+	nagios3/debian-edu/nagios.cfg \
+	nagios3/debian-edu/resources.cfg \
+	nagios3/debian-edu/serviceextinfo.cfg \
+	nagios3/debian-edu/servicegroups.cfg \
+	nagios3/debian-edu/services.cfg \
+	nagios3/debian-edu/service_templates.cfg \
+	nagios3/debian-edu/timeperiods.cfg \
+	munin/debian-edu-munin-node.conf
 
 
 LIBFILES = \
 	mime/packages/debian-edu-mailcap
 
 SYSCONFSCRIPTS = \
+	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
 	X11/Xsession-debian-edu \
 	samba/smbaddclient.pl
@@ -172,19 +150,20 @@
 	samba-2.2.x.schema \
 	courier.schema \
 	automount-debian-edu.schema \
-	norEduPerson.schema \
-	EduPerson.schema \
+	dhcp.schema \
 	lis.schema
 
 LDIFS = \
 	root.ldif \
 	autofs.ldif \
-	netgroup.ldif
+	netgroup.ldif \
+	dhcp.ldif
 
 LDAPPROGRAMS = \
 	ldappasswd2 \
 	ldap2netgroup \
 	ldap-debian-edu-install \
+	ldap-server-getcert \
 	samba-debian-edu-admin \
 	mkslapdcert
 
@@ -202,6 +181,7 @@
 
 KIOSKFILES = \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
+	share/debian-edu/students/share/apps/kdesktop/Desktop/chguserpw.desktop \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
@@ -211,7 +191,6 @@
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kgeography.desktop \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/stopmotion.desktop \
 	share/debian-edu/students/share/config/kdeglobals \
-	share/debian-edu/students/share/config/kdesktoprc \
 	share/debian-edu/students/share/config/konqiconviewrc \
 	share/debian-edu/students/share/config/uiserverrc \
 	share/debian-edu/students/share/config/adept_notifierrc \
@@ -285,6 +264,7 @@
 
 	set -e ; for f in share/debian-edu-config/tools/passwd \
 		share/debian-edu-config/tools/adduser \
+		share/debian-edu-config/tools/debian-edu-winbind \
 		share/debian-edu-config/tools/movehome \
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/logoutkill.sh \
@@ -293,6 +273,8 @@
 		share/debian-edu-config/tools/ldap-users.pl \
 		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nbdquery \
+		share/debian-edu-config/tools/qemu-test-network \
+		share/debian-edu-config/tools/iceweasel-plugin-support \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -315,12 +297,24 @@
 
 	set -e ; for f in \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/025-bootprompt-opts \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/031-alsa-sound-pkgs \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
 	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
+
+	set -e ; for f in \
+		share/debian-edu-config/rsyslog-clients \
+		share/debian-edu-config/rsyslog-collector \
+		share/iceweasel/defaults/preferences/debian-edu.js \
+	; do \
+		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
+	done
 
 # Using manpages autodetection : 
 	set -e ; for program in $(LDAPPROGRAMS) ; do \
@@ -343,7 +337,6 @@
 
 	chmod 700 $(DESTDIR)/var/lib/maildirs/
 
-
 install-testsuite:
 	install -d $(DESTDIR)$(pkglibdir)/testsuite
 	set -e ; for test in testsuite/* ; do \
