=== debian/changelog ===
debian-edu-config (1.423) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Reorder squid.conf cfengine rule to work with the file in Lenny.
  * Drop squid.conf edit rule for adding the CUPS and webmin ports
    (631 and 10000), as it is now the default in squid.
  * Rewrite squid.conf access rule to allow access for all RFC 1918
    nets (10.0.0.0/8, 172.16.0.0/12 and 192.168.0.0/16), and not only
    the backbone and thin client net, to reduce the difference between
    our and the default squid configuration.
  * Add cfengine code to initialize PXE install during install.
  * Rewrite PXE install script to use DNS name and not IP address to
    find preseed file.  Also make sure the file it creates are
    readable by everyone.
  * Preseed DNS domain in PXE installs to get less questions asked.
  * Make sure test installs using PXE uses the test repository.
  * Call sync before and after cfengine, to see if it solve the
    strange problem with cfengine not running to completion.
  * Adjust LDAP client test to match the current correct
    configuration.
  * Make debian-edu-fsautoresize more verbose when -v is used.
  * Added new helper script iceweasel-plugin-support useful for
    listing the claimed mime types of mozilla plugin.
  * Move iceweasel prefs file from /usr/lib to /usr/share, to avoid
    overriding all iceweasel configuration (Closes: #491536).
  * Change cfengine rule for thin-client server to only do related
    edits on thin-client-server installs.
  * Only build the PXE installation environment if we can download
    files from the the Internet, until we find another way to fetch 
    the d-i (PXE) boot images.
  * Drop cfengine rules for nss-ldap, we use nss-ldapd now.
  * Run /usr/share/doc/kaffeine/install-css.sh during installation for
    workstation and standalone profiles if downloading from the
    Internet work.
  * Split out ldap-server-getcert tool from the fetch-ldap-cert init.d
    script.
  * Added script debian-edu-winbind moved from the debian-edu-install
    package.
  * Try to get LTSP installation working, by installing
    debian-edu-archive-keyring using debootstrap and using apt option
    --allow-unauthenticated until our CD is signed.
  * Use lsb_release output to avoid hardcoding distribution name in
    debian-edu-pxeinstall (Closes: #489715).
  * Try to get PXE install of LTSP servers working by preseeding
    ltsp-build-client-udeb.
  * Add LTSP build plugin to accept the local component when
    installing from CD, and to append the host sources.list to the
    LTSP chroot sources.list to get the same set of packages
    available.

  [ Vagrant Cascadian ]
  * Add ltsp plugin to default to lenny if distribution detection
    fails.

  [ Translations ]
  * Updated Turkish from Mert Dirik (Closes: #491929).

  [ Holger Levsen ]
  * Remove Andreas Stockholm from uploaders, thanks Andreas! 

 -- Holger Levsen <holger@debian.org>  Fri, 25 Jul 2008 23:24:10 +0000

debian-edu-config (1.422) unstable; urgency=low

  * preinst: compare against in Debian released versions only when
    handling conffile removals.
  * debian/control: Turn depends on memtest86 and syslinux into
    recommends on amd64 and i386 only, so that the package is
    installable on other archs.

 -- Holger Levsen <holger@debian.org>  Wed, 16 Jul 2008 14:21:43 +0000

debian-edu-config (1.421) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Correct DHCP server configuration in LDAP and on disk.
  * Report test duration instead of time stamps.
  * Remove obsolete code in testsuite used to to rename
    /etc/skolelinux/config to /etc/debian-edu/config.
  * Speed up some tests by reducing number of ping packages used from
    3 to 1.
  * Speed up DNS test suite by only looking up external DNS entries if
    ping reches the the IP address in question.
  * Speed up package installation test by only quering dpkg once for
    the list of installed packages.
  * Correct timezone test to work properly, and fix bugs in handling
    of BR and SE country codes.
  * Depend on discover | discover1 for the hardware test.
  * Increase cfengine editfilesize from 150k to 200k, to make sure it
    can edit squid.conf (now 164k).
  * Update syslog configuration to configure rsyslog instead of
    sysklogd.
  * Move iceweasel client proxy setting from cf.iceweasel to cf.squid
    to have it next to the configuration of environment and KDE.  This
    make cf.iceweasel obsolete.  Remove the conffile.
  * Change wpad URL passed on using DHCP from http://10.0.2.2/wpad.dat
    to http://www/wpad.dat, to make it easier to redirect using DNS.
    Add the wpad info to the DHCP packages sent on the thin client
    network too.
  * Remove obsolete debian/debian-edu-config.modules and the call to
    dh_installmodules.  It was useful in Woody, a long time ago.
  * Depend on resolvconf to get the correct DNS client configuration.
  * Change iceweasel and KDE proxy settings to use "Web Access
    Protocol Discovery" for proxy configuration, to avoid hardcoding
    proxy settings on the clients.  Add wpad DNS alias to get this
    working with Firefox.
  * Remove KDE test to check for the new proxy setting indicator, as it no
    longer make sense.
  * Change LTSP test to look for /etc/hosts in the chroot, not just the
    /etc/ directory, as the latter is generated by cfengine.
  * Add a rootDSE ldif entry to provide extra information in the
    OpenLDAP rootDSE.
  * Add RFC 2782 style service entries for ldap, http and syslog in
    DNS.
  * Add smtp-server and www-server options to the DHCP server setup,
    pointing to http://www/ and postoffice.
  * Provide replacement /etc/dhcp3/dhclient.conf file, to add options
    ntp-servers, log-servers, smtp-server, www-server, wpad-url to the
    request list.
  * Add script /usr/sbin/debian-edu-pxeinstall to generate a PXE boot
    environment for installing Debian Edu.
  * Provide PXE boot image /var/lib/tftpboot/debian-edu/pxelinux.0

