=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,9 @@
 	$(MAKE) clean
 	dh_clean
 
+binary-arch: 
+
 binary-indep: checkroot build
-	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
-binary-arch: checkroot build
 	$(checkdir)
 	dh_testdir
 	dh_testroot
@@ -35,14 +31,13 @@
 	dh_installdocs
 	dh_installdirs
 	dh_installcron
-	dh_installmodules
 	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
 	dh_installinit --init-script open-backdoor
 	# Start it after 91apache
 	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
-	dh_installinit --init-script boot_xconf
+	dh_installinit --init-script boot_xconf --no-start
 	dh_installinit --init-script enable-nat --no-start
-	dh_installinit --init-script update-hostname
+	dh_installinit --init-script update-hostname --no-start -u"start 20 2 3 4 5 ."
 	dh_installinit --init-script start-wlan --no-start
 	dh_installinit --init-script report-reboot -r --no-start
 	dh_installchangelogs
@@ -50,6 +45,7 @@
 	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
 	dh_link
 	dh_gencontrol
+	dh_gconf  --priority=50
 	dh_strip
 	dh_compress
 	dh_fixperms
